summaryrefslogtreecommitdiffstats
path: root/system/mongodb/mongodb.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/mongodb/mongodb.SlackBuild')
-rw-r--r--system/mongodb/mongodb.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/system/mongodb/mongodb.SlackBuild b/system/mongodb/mongodb.SlackBuild
index d9c824da89..23023fe7de 100644
--- a/system/mongodb/mongodb.SlackBuild
+++ b/system/mongodb/mongodb.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM="mongodb"
-VERSION=${VERSION:-3.2.0}
+VERSION=${VERSION:-3.2.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -91,6 +91,10 @@ else
scons --ssl --disable-warnings-as-errors --prefix=${PKG}/usr core --wiredtiger=off install
fi
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
mkdir -p ${PKG}/usr/doc/${PRGNAM}-${VERSION}
cp distsrc/* ${PKG}/usr/doc/${PRGNAM}-${VERSION}